# moticon-opengo

Moticon-OpenGo is a Python library which makes it easy to work with
[Moticon OpenGo](https://moticon.com/opengo) data.

It improves the productivity of researchers and motion analysts, helping in the
phase in between data collection and final outcome assessment.

The library provides functionality both for working with raw data collected
using [Moticon OpenGo Sensor Insoles](https://moticon.com/opengo/sensor-insoles),
and also the report data generated by the different report modules of the
[OpenGo Software](https://moticon.com/opengo/software).

This documentation incluces simple examples, encouraging also less experienced
script programmers to go beyond spreadsheet-based data processing.


## 1. Installation

To install Moticon-OpenGo, run the following command in your Python environment:
```
pip install moticon-opengo
```


## 2. Feature Overview

The Moticon-OpenGo library provides functions for processing the data output of
the [OpenGo Software](https://moticon.com/opengo/software).

### Text Export Data

Assume we have a bunch of `.txt` files exported from a `.go` file using the
OpenGo Software's text export. This library allows you to load and process
these `.txt` files as demonstrated in the example
`examples/demo_text_export_grf_curves.py`.

### Gait Report Data

Assume we have a bunch of `.xlsx` files exported using the OpenGo Software's
gait report. This library allows you to load and process these files as
demonstrated in the example `examples/demo_gait_report.py`.


## 3. Library Development

This section is for contributors who want to adapt/extend the Moticon-OpenGo
library. If you only want to make use of Moticon-OpenGo as-is for processing
your sensor insole data, then you can skip this section.

### Build

For development, install Moticon-OpenGo as follows:
```
pip install -e ."[test,dev]"
```

### Testing

To run the tests, make sure you have the package installed with `test` extra
(see section "Build" above). Run the tests as follows:
```
pytest
```

